## org.apache.batik.util.gui
Class LanguageDialog.OKButtonAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.util.gui.LanguageDialog.OKButtonAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  LanguageDialog

protected class LanguageDialog.OKButtonAction
extends javax.swing.AbstractAction

The action associated with the 'OK' button

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` `LanguageDialog.OKButtonAction()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LanguageDialog.OKButtonAction

    protected LanguageDialog.OKButtonAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.